Package org.opensaml.soap.wstrust.impl

# Class DelegateToMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectMarshaller
org.opensaml.soap.wstrust.impl.DelegateToMarshaller

All Implemented Interfaces:
  `Marshaller`

public class DelegateToMarshaller extends AbstractWSTrustObjectMarshaller
Marshaller for the DelegateTo element.

## Constructor Summary

Constructors
Constructor
Description
`DelegateToMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.soap.wstrust.impl.AbstractWSTrustObjectMarshaller

`marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DelegateToMarshaller

public DelegateToMarshaller()